## exactimage 0.8.1

=== Makefile ===
--- 
+++ 
@@ -51,11 +51,6 @@
 # we have some unimplemented colorspaces in the Image::iterator :-(
 CXXFLAGS += $(call cc-option,-Wno-switch -Wno-switch-enum,)
 
-# enable built-in version in case a system version is not present
-ifeq "$(WITHLIBAGG)" "0"
-include agg-2.4/Makefile
-endif
-
 MODULES = lib codecs bardecode frontends ContourMatching
 include $(addsuffix /Makefile,$(MODULES))
