=== bardecode/Makefile ===
include build/top.make

#BINARY = bardecode
#BINARY_EXT = $(X_LIBEXT)

DEPS = 

CPPFLAGS += -I bardecode

include build/bottom.make
