=== debian/changelog ===
exactimage (0.8.1-3+deb6u3) oldstable-security; urgency=high

  * Add debian/patches/CVE-2013-1441.patch,
    Fix CVE-2013-1441: exactimage: DoS, econvert crashes

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 Sep 2013 21:27:57 +0200

exactimage (0.8.1-3+deb6u2) oldstable-security; urgency=high

  * Add debian/patches/CVE-2013-1438.patch,
    Fix CVE-2013-1438: multiple denial of service vulnerabilities
    (Closes: #721236)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 29 Aug 2013 17:16:53 +0200

exactimage (0.8.1-3) unstable; urgency=low

  * Don't use upstream Makefile to install Python modules (really closes:
    #582431).
  * Disable dead code that is causing compilation errors (closes: #583281).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 30 May 2010 11:36:08 +0200

exactimage (0.8.1-1) unstable; urgency=low

  * New upstream release:
    + Drop configure-perl-detection.diff, different fix applied upstream.
    + Drop utility-timer-dead-code.diff, different fix applied upstream.
  * Fix FTBFS with nostrip build option.
  * Remove bogus Python modules directory created by upstream Makefile
    (closes: #582431). Thanks to Stefano Rivera for the bug report.
  * Use DESTDIR, not prefix, for make install.
  * Update years in debian/copyright.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 21 May 2010 01:28:14 +0200

exactimage (0.8.0-4) unstable; urgency=low

  * Patch the configure script to make detection of Perl more robust
    (closes: #578549). Thanks to Niko Tyni for the bug report.
    [configure-perl-detection.diff]

 -- Jakub Wilk <jwilk@debian.org>  Thu, 22 Apr 2010 20:53:59 +0200

exactimage (0.8.0-2) unstable; urgency=low

  * Add ‘X_SYSTEM=Linux’ to yet another make invocation to fix build failures
    on non-Linux systems.
  * Rewrite manual pages in DocBook XML from scratch.
    + Build-depend on docbook-xsl, docbook-xml, xsltproc, libxml2-utils.
  * Add proper Replaces/Conflicts to the libexactimage-perl, which were
    accidentally ommited in the previous release.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 11 Apr 2010 20:09:24 +0200

exactimage (0.8.0-1) unstable; urgency=low

  * New upstream release:
    + --help no longer trigger errors (closes: #574880, #574885, #574890).
    + SVG with invalid path no longer leads to crashes (closes: #574124).
    + Drop edisplay-dpy.diff, applied upstream.
    + Drop utility-timer-syntax-error.diff, applied upstream.
    + Refresh other patches.
  * Improve package descriptions (both in debian/control and in manual pages).
  * Shorten “SEE ALSO” sections of manual pages.
  * Disable dead code in utility/Timer.cc, as it is causing build failures on
    some architectures. [utility-timer-dead-code.diff]
  * Explicitly disable building with evas.
  * Build extensions for all supported Python versions.
    + Build-depend on python-all-dev.
    + Update debian/rules accordingly.
  * Add ‘Q=’ to each make invocation to make build process more verbose.
  * Embedded copy of AGG is no longer shipped; remove references from
    debian/copyright.
  * Install Perl modules into the correct directory (closes: #575749).
    Thanks to Bruce Stephens for the bug report.
  * In order to comply with Perl Policy 4.2, rename exactimage-perl to
    libexactimage-perl (closes: #575935). Thanks to Ansgar Burchardt for the
    bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 09 Apr 2010 21:11:38 +0200

exactimage (0.7.5-3) unstable; urgency=low

  * Fix FTBFS with Python 2.6 as the default version (closes: #571209).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 28 Feb 2010 15:07:57 +0100

exactimage (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (closes: #543838).
  * Switch to source format 3.0 (quilt).
  * Various improvements in package building:
    + Add ‘X_SYSTEM=Linux’ to each make invocation to enable compilation on
      non-Linux systems.
    + Fix building Python modules (closes: #568671):
      - Add XS-Python-Version header.
      - Build depend on python-dev (>= 2.5.4) rather than python-all-dev (for
        now, only modules for the current Python version are built).
      - As upstream Makefile always put the modules in 2.5 directory, move
        them into the right one in debian/rules.
      - Move *.so with detached symbols to a directory where gdb will expect
        it.
      - Update debian/*.install to catch both site-packages and dist-packages.
      - Drop debian/pycompat.
    + Fix syntax and name errors. [utility-timer-syntax-error.diff,
      edisplay-dpy.diff]
    + Link with system copy of AGG (closes: #570089):
      - Update debian/rules.
      - Add missing includes. [agg-missing-includes.diff]
      - Use PIC version of static AGG library. [agg-pic.diff]
    + Don't let the configure script be called more that once.
    + Produce debugging information for the core library.
    + Respect the ‘noopt’ build option.
      [makefile-cflags.diff]
    + Use LDFLAGS=-Wl,--as-needed to avoid superfluous runtime dependencies.
  * Fix exactimage-dbg package description.
  * Remove duplicate section field for the binary package.
  * Add ‘Depends: ${misc:Depends}’ to binary packages.
  * Add watchfile.
  * Fix typos: in the manual pages and in frontends/econvert.cc.
    [econvert-typo.diff]
  * Bump standards version to 3.8.4 (no changes needed).
  * Add Vcs-* fields.
  * Remove all references to edisplay, as Debian package cannot ship it for
    now (see bug #520975).
  * Update debian/copyright; convert it to the DEP-5 format.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 16 Feb 2010 18:34:31 +0100

exactimage (0.7.4-3) unstable; urgency=low

  * QA upload.
  * Remove alternatives to the phpapi-* dependency (Closes: #566296)

 -- Raphael Geissert <geissert@debian.org>  Fri, 29 Jan 2010 19:26:25 -0600

exactimage (0.7.4-2) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.og>  Thu, 27 Aug 2009 07:15:20 +0200


