=== debian/control ===
Source: exactimage
Section: graphics
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7),
 libexpat-dev, libfreetype6-dev,
 libx11-dev,
 libgif-dev, libjasper-dev, libjpeg-dev, liblcms1-dev, libtiff-dev,
 libopenexr-dev, libagg-dev, libpng12-dev,
 libperl-dev, php5-dev, pkg-config, python-all-dev (>= 2.5), python-support, swig,
 docbook-xsl, docbook-xml, xsltproc, libxml2-utils
XS-Python-Version: >= 2.5
Standards-Version: 3.8.4
Homepage: http://www.exactcode.de/site/open_source/exactimage/
Vcs-Hg: http://hg.debian.org/hg/collab-maint/exactimage
Vcs-Browser: http://hg.debian.org/hg/collab-maint/exactimage

Package: exactimage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast image manipulation programs
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the utilities.

Package: exactimage-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, exactimage (= ${binary:Version}), libexactimage-perl (= ${binary:Version}), php5-exactimage (= ${binary:Version}), python-exactimage (= ${binary:Version})
Description: fast image manipulation library (debug symbols)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains debug symbols.

Package: libexactimage-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Conflicts: exactimage-perl (<< 0.8)
Replaces: exactimage-perl (<< 0.8)
Description: fast image manipulation library (Perl bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Perl bindings.

Package: exactimage-perl
Section: perl
Architecture: all
Depends: ${misc:Depends}, libexactimage-perl
Description: transitional dummy package
 This dummy package is provided for a smooth transition from the former
 exactimage-perl package. It can safely be removed after installation.

Package: php5-exactimage
Section: php
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}
Description: fast image manipulation library (PHP bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the PHP bindings.

Package: python-exactimage
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: fast image manipulation library (Python bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Python bindings.
