=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS = -Wl,--as-needed
ifeq ($(filter noopt,$(DEB_BUILD_OPTIONS)),noopt)
export CFLAGS = -O0 -g -Wall
else
export CFLAGS = -O2 -g -Wall
endif

MAKE := $(MAKE) X_SYSTEM=Linux Q=
PHPAPI = $(shell php-config5 --phpapi)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f config.make ] || $(MAKE) clean
	rm -f config.* conftest.*
	rm -rf objdir/api/python*.*/
	dh_clean

config.make: configure
	dh_testdir
	./configure --prefix=/usr --with-ruby=no --with-evas=no

build: build-stamp
build-stamp: config.make
	dh_testdir
	mkdir -p objdir/api/python/
	touch objdir/api/python/_ExactImage.so # prevent from being built this time
	$(MAKE)
	set -e; \
	for python in $(shell pyversions -r); do \
		rm -f objdir/api/python/_ExactImage.so; \
		$(MAKE) objdir/api/python/_ExactImage.so PYTHONINCS=`$$python-config --includes`; \
		mkdir -p objdir/api/$$python; \
		cp objdir/api/python/*.so objdir/api/$$python/; \
		cp objdir/api/python/*.py objdir/api/$$python/; \
		chmod a-x objdir/api/$$python/*; \
	done
	$(MAKE) -C debian/manpages/
	rm debian/manpages/edisplay.1
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp WITHPYTHON=0 install
	mkdir debian/tmp/usr/lib/php5
	mv debian/tmp/usr/lib/php debian/tmp/usr/lib/php5/$(PHPAPI)
	echo "php:Depends=phpapi-$(PHPAPI)" >> debian/php5-exactimage.substvars
	set -e; \
	for python in $(shell pyversions -r); do \
		mkdir -p debian/tmp/usr/lib/$$python/site-packages/; \
		cp -a objdir/api/$$python/* debian/tmp/usr/lib/$$python/site-packages/; \
	done
	cd debian/tmp/usr/lib/perl5 && mv site_perl/* . && rmdir site_perl

binary: binary-arch

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing --sourcedir=debian/tmp
	dh_installman
ifeq ($(filter nostrip,$(DEB_BUILD_OPTIONS)),)
	dh_strip --dbg-package=exactimage-dbg
	set -e; \
	cd debian/exactimage-dbg/usr/lib/debug/usr/lib; \
		mkdir pymodules; \
		for python in $(shell pyversions -r); do \
			mv $$python/*-packages/* $$python/; \
			rm -Rf $$python/*-packages/; \
			mv $$python/ pymodules/; \
		done
endif
	dh_compress
	dh_fixperms
	dh_perl
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

# vim:ts=4 sw=4 noet
