## exactimage 0.8.5

=== debian/changelog ===
exactimage (0.8.5-3) unstable; urgency=low

  * QA upload.
  * Patch libpng15: Fix FTBFS with libpng 1.5 (closes: #635745).
    Thanks to Nobuhiro Iwamatsu for the patch!

 -- Ralf Treinen <treinen@debian.org>  Fri, 05 Aug 2011 12:04:05 +0200

exactimage (0.8.5-2) unstable; urgency=low

  * QA upload (see #587062).
    + Set Maintainer to Debian QA Group.
  * Add build-arch and build-indep targets.
  * Remove Vcs-* fields.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 17 Jun 2011 00:08:28 +0200

exactimage (0.8.5-1) unstable; urgency=low

  * New upstream release.
    + Refresh patches.
  * Fix a formatting error in the bardecode manual page.
  * Bump standards version to 3.9.1:
    + Replace Conflicts with Breaks.
  * Drop debian/pyversions.
  * Export LDFLAGS.
  * Use dpkg-buildflags. Build depend on dpkg-dev (>= 1.15.7).
  * Drop transitional dummy package exactimage-perl.
  * Respect the ‘parallel’ build option.
  * Use OpenMP: append ‘-fopenmp’ to CFLAGS.
  + Build edisplay (closes: #520975):
    - Build depend on libevas-dev and libxrender-dev.
    - Automatically generate dependencies on libevas*-engines-x.
    - Restore references to edisplay in package description and in manual pages.
    - Install MIME information.
  * Loosen dependencies of the exactimage-dbg package. Use Breaks to ensure
    that versions of packages matches.
  * Bump standards to version to 3.9.2 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Apr 2011 14:30:54 +0200
