=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
-LDFLAGS = -Wl,--as-needed
-ifeq ($(filter noopt,$(DEB_BUILD_OPTIONS)),noopt)
-export CFLAGS = -O0 -g -Wall
-else
-export CFLAGS = -O2 -g -Wall
+export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -fopenmp
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    parallel = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
 MAKE := $(MAKE) X_SYSTEM=Linux Q=
@@ -21,26 +21,29 @@
 
 config.make: configure
 	dh_testdir
-	./configure --prefix=/usr --with-ruby=no --with-evas=no
+	./configure --prefix=/usr --with-ruby=no
 
-build: build-stamp
+build: build-indep build-arch
+
+build-arch: build-stamp
 build-stamp: config.make
 	dh_testdir
 	mkdir -p objdir/api/python/
 	touch objdir/api/python/_ExactImage.so # prevent from being built this time
-	$(MAKE)
+	$(MAKE) $(parallel)
 	set -e; \
 	for python in $(shell pyversions -r); do \
 		rm -f objdir/api/python/_ExactImage.so; \
-		$(MAKE) objdir/api/python/_ExactImage.so PYTHONINCS=`$$python-config --includes`; \
+		$(MAKE) $(parallel) objdir/api/python/_ExactImage.so PYTHONINCS=`$$python-config --includes`; \
 		mkdir -p objdir/api/$$python; \
 		cp objdir/api/python/*.so objdir/api/$$python/; \
 		cp objdir/api/python/*.py objdir/api/$$python/; \
 		chmod a-x objdir/api/$$python/*; \
 	done
-	$(MAKE) -C debian/manpages/
-	rm debian/manpages/edisplay.1
+	$(MAKE) $(parallel) -C debian/manpages/
 	touch build-stamp
+
+build-indep:
 
 install: build
 	dh_testdir
@@ -66,7 +69,10 @@
 	dh_installdocs
 	dh_installexamples
 	dh_install --fail-missing --sourcedir=debian/tmp
+	mkdir -p debian/edisplay/usr/bin/
+	mv debian/exactimage/usr/bin/edisplay debian/edisplay/usr/bin/
 	dh_installman
+	rm debian/exactimage/usr/share/man/man*/edisplay.*
 ifeq ($(filter nostrip,$(DEB_BUILD_OPTIONS)),)
 	dh_strip --dbg-package=exactimage-dbg
 	set -e; \
@@ -82,14 +88,16 @@
 	dh_fixperms
 	dh_perl
 	dh_pysupport
+	dh_installmime
 	dh_installdeb
 	dh_shlibdeps
+	sed -i -e '/shlibs:Depends.*\(libevas[^ ]*\).*/ { p; s//evas:Depends=\1-engines-x/; b }; /^evas:Depends=/d' debian/*.substvars
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
 binary-indep:
 
-.PHONY: clean build install binary binary-arch binary-indep
+.PHONY: clean build build-arch build-indep install binary binary-arch binary-indep
 
 # vim:ts=4 sw=4 noet
