=== debian/watch ===
version=3
http://dl.exactcode.de/oss/exact-image/ exact-image-([0-9.]+).tar.bz2
