## exactimage 0.8.8

=== debian/changelog ===
exactimage (0.8.8-3build1) saucy; urgency=low

  * Rebuild for PHP 5.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 01:56:12 +0100

exactimage (0.8.8-3) unstable; urgency=low

  * Disable LTO again because it triggers binutils bug PR/15323 (or similar) on
    armel, armhf, ia64, mips, mipsel, powerpc, ...

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Jun 2013 10:55:06 +0200

exactimage (0.8.8-2) unstable; urgency=low

  * debian/patches:
    - Add verbose_build.patch, Enforce simple verbose build for blhc
    - Add decode_before_read_stride.patch, Decode image before accessing the
      stride attribute for rotation (Closes: #523948)
    - Add tga_memcpy_signature.patch, Don't write outside tga signature array
    - Add spelling_error.patch, Fix "characters" spelling error
  * debian/rules:
    - Activate LTO for reduce binary size
  * debian/control
    - Remove Daniel Stender as maintainer (Closes: #708417)
    - Switch from libtiff-dev provided by oldlib libtiff4-dev to libtiff5-dev

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Jun 2013 22:59:02 +0200

exactimage (0.8.8-1) unstable; urgency=low

  [ Sven Eckelmann ]
  * New Upstream Version
  * debian/control:
    - Reformat for better usability with version control systems
    - Add Vcs-* fields to debian/control
    - Upgraded to policy 3.9.4, no changes required
  * Update debian/copyright to copyright-format 1.0
  * Update compat level to 9
  * debian/rules:
    - Enable security flags in debian/rules
    - Convert to dh
    - Fix installation path for python modules
    - Provide optional target get-orig-source
  * debian/patches:
    - Use common suffix .patch
    - Rebase on top of 0.8.8
    - Remove upstream merged edentify_tga_mismatch.patch, gcc47.patch,
      missing_include_vector.patch, optimize2bw_denoise.patch
  * Convert from python-support to python2
  * Update years in debian/copyright

  [ Boris Pek ]
  * debian/copyright:
    - Corrected license text for codecs/dcraw.h
    - Use more specific BSD-3-clause license short name instead of BSD
    - Replace old dep-5 style "|" with "or"

  [ Bart Martens ]
  * Rewrite debian/watch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 05 May 2013 13:12:03 +0200

exactimage (0.8.5-5) unstable; urgency=low

  * debian/control:
    - Add Daniel Stender and Sven Eckelmann as new maintainer (Closes: #587062)
    - Depend on libpng-dev instead of libpng12-dev (Closes: #662317)
    - Depend on libjpeg8-dev to avoid hiccups with other libjpeg versions
  * debian/patches:
    - Add edentify_tga_mismatch.patch, Fix misidentification of PNM as TGA
      (Closes: #575324)
    - missing_include_vector.patch, Add missing includes for std::vector
    - Add libjpeg8_compat.patch, Build jpeg functionality for libjpeg8 to avoid
      crashes and other hiccups (Closes: #679775)
    - Add optimize2bw_denoise.patch, Fix optimize2bw denoise crash on 64-bit
      systems (Closes: #679772)

 -- Sven Eckelmann <sven@narfation.org>  Sun, 01 Jul 2012 15:55:10 +0200

exactimage (0.8.5-4) unstable; urgency=low

  * QA upload.
  * Fix build failure with GCC 4.7 (Sven Eckelmann). Closes: #667159.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 04:23:46 +0000
