=== debian/control ===
Source: exactimage
Section: graphics
Priority: optional
Maintainer: Sven Eckelmann <sven@narfation.org>
Standards-Version: 3.9.4
Homepage: http://www.exactcode.de/site/open_source/exactimage/
Vcs-Git: git://anonscm.debian.org/collab-maint/exactimage.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/exactimage.git
Build-Depends:
 debhelper (>= 9),
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.16.1.1),
 libagg-dev,
 libevas-dev,
 libexpat-dev,
 libfreetype6-dev,
 libgif-dev,
 libjasper-dev,
 libjpeg8-dev,
 liblcms1-dev,
 libopenexr-dev,
 libperl-dev,
 libpng-dev,
 libtiff5-dev,
 libx11-dev,
 libxml2-utils,
 libxrender-dev,
 php5-dev,
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 swig,
 xsltproc,
X-Python-Version: >= 2.5

Package: exactimage
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: edisplay
Description: fast image manipulation programs
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the utilities.

Package: edisplay
Architecture: any
Depends:
 ${evas:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast image manipulation programs (image viewer)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the image viewer.

Package: exactimage-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 exactimage
 | edisplay
 | libexactimage-perl
 | php5-exactimage
 | python-exactimage
Breaks:
 edisplay (<< ${binary:Version}),
 edisplay (>> ${binary:Version}),
 exactimage (<< ${binary:Version}),
 exactimage (>> ${binary:Version}),
 libexactimage-perl (<< ${binary:Version}),
 libexactimage-perl (>> ${binary:Version}),
 php5-exactimage (<< ${binary:Version}),
 php5-exactimage (>> ${binary:Version}),
 python-exactimage (<< ${binary:Version}),
 python-exactimage (>> ${binary:Version}),
Description: fast image manipulation library (debug symbols)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains debug symbols.

Package: libexactimage-perl
Section: perl
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 exactimage-perl (<< 0.8),
Replaces:
 exactimage-perl (<< 0.8),
Description: fast image manipulation library (Perl bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Perl bindings.

Package: php5-exactimage
Section: php
Architecture: any
Depends:
 ${misc:Depends},
 ${php:Depends},
 ${shlibs:Depends},
Description: fast image manipulation library (PHP bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the PHP bindings.

Package: python-exactimage
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides}
Description: fast image manipulation library (Python bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Python bindings.
