=== codecs/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif
 
 ifeq "$(WITHLIBTIFF)" "1"
-LDFLAGS += -ltiff -ltiffxx
+LDFLAGS += -ltiff # -ltiffxx
 else
 NOT_SRCS += tiff.cc
 endif
