=== debian/changelog ===
exactimage (0.8.9-3build1) trusty; urgency=medium

  * No change rebuild for phpapi-20121212+lfs (LFS ABI break on 32-bit
    arches).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 19 Feb 2014 08:20:18 +0000

exactimage (0.8.9-3) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * debian/patches:
    - Add libgif.patch, Link against libgif instead of deprecated libungif
      (Closes: #732327)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 16 Dec 2013 19:55:34 +0100

exactimage (0.8.9-2) unstable; urgency=high

  * Fix CVE-2013-1441: exactimage: DoS, econvert crashes
  * debian/gbp.conf
    - Force pristine-tar to guarantee correct orig tarball with git-buildpackage
  * debian/patches:
    - Add CVE-2013-1441.patch, exactimage: DoS, econvert crashes

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 Sep 2013 21:05:50 +0200

exactimage (0.8.9-1) unstable; urgency=high

  * New Upstream Version
  * Fix CVE-2013-1438: multiple denial of service vulnerabilities
    (Closes: #721236)
  * debian/rules:
    - Enable section garbage collection to reduce size caused by partial linked
      static library
    - Provide override_dh_auto_clean/test to avoid problems with stricter
      debhelper clean/test behavior since 9.20130720
  * debian/patches:
    - Add gcc_48_dcraw_infinite_loop.patch, Avoid infinite loops generated by
      GCC 4.8 caused by undefined behaviour
    - Remove upstream merged tga_memcpy_signature.patch and spelling_error.patch
    - Add CVE-2013-1438, Fix CVE-2013-1438

 -- Sven Eckelmann <sven@narfation.org>  Thu, 29 Aug 2013 16:17:32 +0200

exactimage (0.8.5-5+deb7u3) stable-security; urgency=high

  * Add debian/patches/CVE-2013-1441.patch,
    Fix CVE-2013-1441: exactimage: DoS, econvert crashes

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 Sep 2013 21:27:57 +0200

exactimage (0.8.5-5+deb7u2) stable-security; urgency=high

  * Add debian/patches/CVE-2013-1438.patch,
    Fix CVE-2013-1438: multiple denial of service vulnerabilities
    (Closes: #721236)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 29 Aug 2013 17:16:53 +0200
