=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Sven Eckelmann <sven@narfation.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.exactcode.de/site/open_source/exactimage/
 Vcs-Git: git://anonscm.debian.org/collab-maint/exactimage.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/exactimage.git
