=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
-export DEB_CFLAGS_MAINT_APPEND=-fopenmp
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+export DEB_CFLAGS_MAINT_APPEND=-fopenmp -ffunction-sections -fdata-sections
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,--gc-sections
 
 MAKEOPTIONS = X_SYSTEM=Linux Q=
 
@@ -19,6 +19,12 @@
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --includedir=/usr/include --mandir=/usr/share/man --infodir=/usr/share/info --sysconfdir=/etc --libdir=/usr/lib --libexecdir=/usr/lib --with-ruby=no
+
+override_dh_auto_clean:
+	touch config.make
+	dh_auto_clean -- $(MAKEOPTIONS)
+
+override_dh_auto_test:
 
 override_dh_auto_build:
 	mkdir -p objdir/api/python/
@@ -56,4 +62,4 @@
 	sed -i -e '/shlibs:Depends.*\(libevas[^ ]*\).*/ { p; s//evas:Depends=\1-engines-x/; b }; /^evas:Depends=/d' debian/*.substvars
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
-	get-orig-source override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_shlibdeps
+	get-orig-source override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_shlibdeps override_dh_auto_clean override_dh_auto_test
