=== debian/watch ===
version=3
http://dl.exactcode.de/oss/exact-image/exact-image(?:-|\.|_|_v|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
